import com.j256.ormlite.dao.Dao;

import java.sql.SQLException;

public class AccountServ {

    private Dao<Account, Integer> dao;
    private Console console = new Console();

    public AccountServ() {
        this.dao = dao;
    }

    public void createAccount() throws SQLException {
        String name = console.prntTakeStr("Please enter new account name");
        String pswrd = console.prntTakeStr("Please enter new account password");
        Account account = new Account(name, pswrd);
        dao.create(account);
    }

    public int create(Account account) throws SQLException {
        return dao.create(account);
    }

    public Account read(int id) throws SQLException {
        return dao.queryForId(id);
    }


    public void setPassword(Account account, String password) throws SQLException {
        account.setPassword(password);
        dao.update(account);
    }

    public void setName(Account account, String name) throws SQLException {
        account.setName(name);
        dao.update(account);
    }

    public int delete(Account account) throws SQLException {
        return dao.delete(account);
    }

}
